:root {
	--text: black;
	--line: Sienna;
	--accent: DarkOliveGreen;

	
}

body {
  font-family: Verdana;
  background-image: url("textures/rainbow_bg.jpg");
  background-size: cover;
  font-size: 0.9em;  
  height: 100vh;
}

/* CURSOR */

body {
  cursor: url('https://cdn.cursors-4u.net/previews/golden-beetle-c154897e-32.webp') 32 32, auto;
}

body {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	width: 100%;
	height: 100vh;
	overflow: hidden;
}

	img { max-width: 100% }
	
	
/* NAV BAR */	
		
nav {
	display: inline-block;
	width: 250px;
	height: 100vh;
	position: relative;
	

}


nav div {
	height: fit-content;
	width: fit-content;
	position: absolute;
	top: 20%; /*distance anything in the navigation sits from the top of the page*/
	text-align: center;
}


.stripe {
	display: inline-block;
	width: 2%;
	height: 100vh;
	background-image: url("assets/birch.jpg");
}


/* MAIN SECTION */

main {
	display: inline-block;
	z-index: 0;
	position: absolute;
	height: 95vh;
	width: 100%;
	margin: 0;
  padding: 0;
  background-image: url("index_bg.jpg");
  background-size: cover;
}




/* BUTTONS */

	
.button { 
  position: relative;
  background-image: url("textures/grunge_bg.jpg");
  font-family: Tahoma; 
  color: White;
  font-size: 15px;
  font-weight: bold;
  display: inline-block;
  text-align: center;
	margin: 8px ; /*distance between buttons*/
	padding: 5px 20px ; /*Padding between text and button box edge, first value is vertical and second is horizontal*/
	width: 160px;
-webkit-appearance: none;
-moz-appearance: none;
	
}

.button:hover {
  cursor: pointer;
  color: DarkOliveGreen;
}

button:active {
  transform: scale(0.9);
}


	
/* POSITIONS */

.centered {
 text-align: center;
 margin: 10px;
}


/* GRAPHIC POSITIONS */

.stamp {
  float: left;
   margin: 5px 15px;
}

.imagefiller {
  text-align: center;
   margin: 45px 5px;
}


/* CUSTOM BOXES */

.row {
  width: 83%;
  padding: 1em;
}

.graphic {
  position: relative;
  text-align: center;
  background-image: url("assets/main_image.png");
	background-size: contain;
  background-position: center;
  padding: 20px;
  margin: 10px;
  border-radius: 15px;
}

.leftcolumn {
  float: left;
  width: 30%;

}

.centercolumn {
  float: left;
  width: 45%;
}

.widecolumn {
  float: left;
  width: 75%;
}

.rightcolumn {
  float: right;
  width: 25%;
}

.bottomcolumn {
  float: left;
  width: 75%;
}

@media screen and (max-width: 600px) {
  .leftcolumn, .rightcolumn, .centercolumn, .widecolumn {
    width: 100%;
    padding: 0;
    margin: 0;
  }
}



/* ASIDES */


.aside-welcome {
  background-image: url("textures/geometric_01_bg.png");
  background-size: cover;
  padding: 20px;
  margin: 10px;
  border: 1px solid white;
  background-position: center;
  text-align: center;
  border-radius: 15px;
}


.aside-directory {
  background-image: url("textures/grass_bg.jpg");
  padding: 20px;
  margin: 10px;
  border: 1px solid white;
  border-radius: 15px;
}


.aside-mainbox {
  padding: 10px;
  margin: 10px;
  background-image: url("textures/bg_paper.webp");
  background-size: cover;
  border: 1px solid black;
  background-position: center;
  border-radius: 15px;
  overflow: scroll;
  
}

.aside-bottom {
  padding: 2px;
  margin: 5px;
  display: inline-block;
}



